## kidletime 5.104.0

=== debian/changelog ===
kidletime (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:40 +0000

kidletime (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:32 +0000

kidletime (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:15 +0000

kidletime (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Build depend on wayland-protocols 1.27

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:43 +0000

kidletime (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:08 +0000

kidletime (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update build depends.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:25 +0000
